/**
 * Backbone.js tutorial - tests
 *
 * http://javascript-html5-tutorial.com/
 *  
 */

$(function() {
    
    // test 1 - .on
    var object = {};
    
    _.extend(object, Backbone.Events);
    
    object.on("alert", function(msg) {
        alert("Triggered " + msg);
    });
    
    object.trigger("alert", "an event");
    
    
    // test 2 - model
    var artist = new Backbone.Model({
        firstName: "John",
        lastName: "Doe III"
    });
    
    artist.set({birthday: "December 14, 1987"});
    
    alert(JSON.stringify(artist));
    
    
    // test 3 - model (init and defaults)
    Book = Backbone.Model.extend({
        initialize: function() {
            console.log('Creating new book');
        },
        defaults: {
            name: 'JavaScript Book',
            author: 'Me'
        }
    });
    
    
    // test 4 - Backbone.js router demo
    MR = Backbone.Router.extend({
        routes: {'hello' : 'sayHello'},
        sayHello: function() {
            console.log('Saying hello');
        }
    });
    
    var router = new MR();
    Backbone.history.start();
    
    // -> call: index.html#hello
    
    
    // var App = new AppView; // ...

});
